package WheelOfFortune.game.player;

import WheelOfFortune.game.*;
import WheelOfFortune.game.wheel.*;
import WheelOfFortune.game.userOutput.*;

// Source file: U:\\cse308\\asn8\\src\\game\\player\\Player.java


public class HumanPlayer extends Player {
 private GameOutput out;

 /**
  * @param name
  * @roseuid 41892E1D039E
  */
 public HumanPlayer(String name, GameOutput out) {
  this.name = name;
  roundMoney = 0;
  totalMoney = 0;
  freeSpin = 0;
  fiftyFifty = 0;

  this.out = out;
 }


 public void actionExpected(int state, Wheel wheel, Player[] players, int numPlayers, Board board, int activePlayerIndex, int round, int numRounds) {
  if(state == GameModel.WAITING_FOR_DECISION) {
   out.print("S(p)in, (B)uy Vowel, or S(o)lve: ");
  }
  else if(state == GameModel.WAITING_FOR_CONSONANT) {
   out.print("Enter consonant: ");
  }
  else if(state == GameModel.WAITING_FOR_VOWEL) {
   out.print("Enter vowel: ");
  }
  else if(state == GameModel.WAITING_FOR_SOLUTION) {
   out.print("Enter solution: ");
  }
 }

 //for debugging
 public String toString() {
  return "Human Player" + "\n" + super.toString();
 }
}
